import flet as ft

def main_style():
    return{
        "width": 250,
        "height": 300,
        "bgcolor":"#141518",
        "border_radius": 10,
        "padding": 15,
    }
    
def prompt_style():
    return{
        "width": 250,
        "height": 40,
        "bgcolor":"white",
        "content_padding": 10,
        "cursor_color": "white",
    }
    
def main(page: ft.Page):
    page.title = "Установка софта на Astra Linux"
    page.horizontal_alignment = "center"
    page.vertical_alignment = "center"
    page.theme_mode = "dark"
    page.width: 250 # type: ignore
    page.height: 300 # type: ignore
    
    page.add(
        ft.Text("Установка софта на АРМ Astra Linux SE/CE", size=18, weight=ft.FontWeight.W_800),
        ft.TextButton(text="Установка базового набора софта"),
    )
    
    page.update()
    
if __name__=="__main__":
    ft.app(target=main)
